Summary:	Eartraining program for GNOME
Summary(de.UTF-8):	Gehörbildungssoftware für GNOME
Summary(pl.UTF-8):	Program do ćwiczenia słuchu dla GNOME
Name:		solfege
Version:	3.23.4
Release:	1
License:	GPL v3
Group:		X11/Applications/Sound
Source0:	ftp://alpha.gnu.org/gnu/solfege/%{name}-%{version}.tar.gz
# Source0-md5:	7f3044982d188024d0318dccb4bc58d4
Patch0:		%{name}-fix.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-paths.patch
Patch3:		%{name}-python.patch
Patch4:		%{name}-sequencer_tempo.patch
URL:		https://www.gnu.org/software/solfege/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	gnome-doc-utils
BuildRequires:	lilypond
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.17
BuildRequires:	python3-devel
BuildRequires:	python3-pygobject3
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python >= 1.3.25
BuildRequires:	texinfo
# xml2po >= 0.4 - required only on en manual changes
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Solfege is an eartraining program for X written in python, using the
GTK+ and GNOME libraries. This is a development release, things might
be broken. See INSTALL file if you have problems running or installing
Solfege. Report your problems to solfege-devel@lists.sourceforge.net .

Eartraining is a big subject with many connections to music theory and
performance of music, so I won't even try to make "a complete
computerbased eartraining course". But I hope someone find this
software useful.

%description -l de.UTF-8
Solfege ist eine Gehörbildungssoftware geschrieben in Python für X,
die GTK+ und GNOME Bibliotheken verwendet. Es handelt sich hierbei um
eine Entwicklerversion, manches mag noch Fehler haben. Dem INSTALL
Text können Informationen entnommen werden, falls Probleme bei der
Installation oder der Ausführung auftreten sollten. Probleme können
solfege-devel@lists.sourceforge.net mitgeteilt werden.

Gehörbildung stellt eine große Anforderung an viele Bereiche der
Musiktheorie dar, weshalb ich nicht versucht habe, einen vollständigen
Computerkurs Gehörbildung zu erstellen. Ich hoffe aber, dass so
mancher diese Software hilfreich findet.

%description -l pl.UTF-8
Solfege jest programem do ćwiczenia słuchu dla X napisanym w Pythonie,
używającym bibliotek GTK+ i GNOME. Jest w stadium rozwoju, część
funkcji może nie działać prawidłowo - problemy zgłaszaj na adres
solfege-devel@lists.sourceforge.net .

Ćwiczenie słuchu to rozległy temat, z wieloma powiązaniami do teorii
muzyki i jej wykonywania, więc autor nawet nie próbował stworzyć
kompletnego narzędzia. Ale ma nadzieję, że komuś się przyda.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	RSVG=%{_bindir}/rsvg \
	LILYPOND=%{_bindir}/lilypond \
	BZR=%{_bindir}/bzr \
	GS=%{_bindir}/gs \
	PYTHON=%{__python3} \
        --enable-docbook-stylesheet=%{_datadir}/sgml/docbook/xsl-stylesheets/html/chunk.xsl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS FAQ README changelog*
%attr(755,root,root) %{_bindir}/solfege
%dir %{_libdir}/solfege
%attr(755,root,root) %{_libdir}/solfege/_solfege_c_midi.so
%dir %{_datadir}/solfege
%{_datadir}/solfege/solfege
%{_datadir}/solfege/exercises
%{_datadir}/solfege/feta
%{_datadir}/solfege/graphics
%dir %{_datadir}/solfege/help
%{_datadir}/solfege/help/style.css
%{_datadir}/solfege/help/C
%lang(de) %{_datadir}/solfege/help/de
%lang(eo) %{_datadir}/solfege/help/eo
%lang(es) %{_datadir}/solfege/help/es
%lang(et) %{_datadir}/solfege/help/et
%lang(fr) %{_datadir}/solfege/help/fr
%lang(gl) %{_datadir}/solfege/help/gl
%lang(nb) %{_datadir}/solfege/help/nb
%lang(nl) %{_datadir}/solfege/help/nl
%lang(pl) %{_datadir}/solfege/help/pl
%lang(pt_BR) %{_datadir}/solfege/help/pt_BR
%lang(ru) %{_datadir}/solfege/help/ru
%lang(tr) %{_datadir}/solfege/help/tr
%{_datadir}/solfege/default.config
%{_datadir}/solfege/*.xml
%{_datadir}/solfege/solfege.css
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/solfege*
%{_pixmapsdir}/solfege.svg
%{_desktopdir}/solfege.desktop
%changelog
* Wed Dec 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/solfege.git;a=log;h=master

* Wed Dec 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 46a1c8d
- Version: 3.23.4

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 09f5cf7
- updated gettext BR

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> 7587e1f
- release 4

* Sun May 16 2010 sparky <sparky@pld-linux.org> 5351550
- BR: gnome-doc-utils, rpm-pythonprov
- dropped not really used BR: docbook-style-xsl, ghostscript, librsvg,
  libxslt-progs, lilypond, m4, tetex-dvips, txt2man
- pass paths of some applications to configure (rsvg, gs, ...)

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> 2c8dedc
- rel 3

* Sat Nov 28 2009 Jacek Konieczny <jajcus@pld-linux.org> 8bb1f1c
- Release: 2

* Sat Nov 28 2009 Jacek Konieczny <jajcus@pld-linux.org> 93d81f2
- use @libdir@ and @datadir@ instead of hardcoded 'lib' and 'share' in run-solfege.py.in – fixes startup on x86_64

* Sat Nov 28 2009 Jacek Konieczny <jajcus@pld-linux.org> 8193a3a
- Version: 3.14.9
- _solfege_c_midi.so module loading fixed
- python files compiled

* Sun Jun 21 2009 Tomasz Pala <gotar@pld-linux.org> 4c5f4fd
- upgraded to 3.14.4

* Sun Nov 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 505ccd2
- updated for 3.12.0

* Sun Nov 16 2008 pawelz <pawelz@pld-linux.org> fb701c2
- up to 3.12.0
- BR: txt2man

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 0875724
- updated to 3.7.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b11d8fe
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 50a7fe7
- converted to UTF-8

* Sun Dec 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 7e155c3
- updated to 3.6.4
- updated fix,desktop patches, removed obsolete DESTDIR,po patches
- python-gnome no longer required

* Sun Dec 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 678d369
- updated for 3.6.4

* Sun Dec 10 2006 Jakub Bogusz <qboosh@pld-linux.org> c9a7c31
- obsolete

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> b528476
- adapterized (sorted %verify attrs)

* Mon Jun 27 2005 saq <saq@pld-linux.org> 1ffe923
- as of 1.3.25, swig subpackages actually contain something useful
- missing BR

* Fri Apr 15 2005 darekr <darekr@pld-linux.org> 143660a
- BR: perl-base

